Talk:Features/TeXLive

From FedoraProject

(Difference between revisions)
Jump to: navigation, search
Line 4: Line 4:
  
 
texlive-fontspec should Require texlive-xkeyval
 
texlive-fontspec should Require texlive-xkeyval
--[[User:Mef|Mef]] 15:27, 20 August 2009 (UTC)
+
--[[User:Mef|Mef]] 15:27, 20 August 2009 (UTC) '''DONE'''
  
 
texlive-xepersian should depend on: texlive-bidi, texlive-fontspec, texlive-xetex.noarch (.noarch seems to be required, otherwise yum picks the old texlive-xetex from 2007 package list, which is obsolete by texlive 2009). I guess that there are lots of such dependencies. Isn't there any automatic way to find them?!  
 
texlive-xepersian should depend on: texlive-bidi, texlive-fontspec, texlive-xetex.noarch (.noarch seems to be required, otherwise yum picks the old texlive-xetex from 2007 package list, which is obsolete by texlive 2009). I guess that there are lots of such dependencies. Isn't there any automatic way to find them?!  
 
Also, isn't there any amsalpha.bst file in TexLive 2009?! I have a document which uses amsalpha as its bibstyle. None of the current packages provide this file. What has happened to it?!
 
Also, isn't there any amsalpha.bst file in TexLive 2009?! I have a document which uses amsalpha as its bibstyle. None of the current packages provide this file. What has happened to it?!
 
-- [[User:Hedayat|Hedayat]] 11:04 (updated on 12:40), 21 August 2009 (UTC).
 
-- [[User:Hedayat|Hedayat]] 11:04 (updated on 12:40), 21 August 2009 (UTC).
 +
 +
texlive-fontspec dependencies are now fixed.
 +
Pulling in the texlive-xetex from the old TL2007 is now fixed as well with the newly added versioned Requires.
 +
Virtual provides such as tetex-latex are added for compatibility.
 +
 +
--[[User:jnovy|jnovy]] 21:04, 23 August 2009 (UTC)

Revision as of 19:05, 23 August 2009

To pass review the fonts parts of TEXLive must conform to Packaging:FontsPolicy

NicolasMailhot 20:36, 23 June 2009 (UTC)

texlive-fontspec should Require texlive-xkeyval --Mef 15:27, 20 August 2009 (UTC) DONE

texlive-xepersian should depend on: texlive-bidi, texlive-fontspec, texlive-xetex.noarch (.noarch seems to be required, otherwise yum picks the old texlive-xetex from 2007 package list, which is obsolete by texlive 2009). I guess that there are lots of such dependencies. Isn't there any automatic way to find them?! Also, isn't there any amsalpha.bst file in TexLive 2009?! I have a document which uses amsalpha as its bibstyle. None of the current packages provide this file. What has happened to it?! -- Hedayat 11:04 (updated on 12:40), 21 August 2009 (UTC).

texlive-fontspec dependencies are now fixed. Pulling in the texlive-xetex from the old TL2007 is now fixed as well with the newly added versioned Requires. Virtual provides such as tetex-latex are added for compatibility.

--jnovy 21:04, 23 August 2009 (UTC)